#ifndef EVIDENCE_H
#define EVIDENCE_H

#include <QWidget>
#include <QTableView>
#include <QHBoxLayout>
#include <QStandardItemModel>
#include <QTabWidget>
#include <QTextEdit>
#include <QFrame>
#include <QGroupBox>
#include <QFormLayout>
#include <QHBoxLayout>
#include <QPushButton>
#include <QLineEdit>
#include <QMenu>
#include <QAction>
#include <QMainWindow>


class Evidence : public QMainWindow
{
    Q_OBJECT

public:
    Evidence(QWidget *parent = 0);

    QMenu* filemenu;
    QAction* exit_act;

    QFrame* main_frame;

    QTableView* table;
    QVBoxLayout* layout;
    QStandardItemModel* model;
    QTabWidget *tab;

    QLineEdit* name_edit;
    QLineEdit* sname_edit;
    QLineEdit* age_edit;

    QWidget* tab1;
    QGridLayout* tab1_l;
    QLineEdit* ulice_edit;
    QLineEdit* cp_edit;
    QLineEdit* mesto_edit;
    QLineEdit* psc_edit;

    QFrame* tab2;
    QVBoxLayout* tab2_l;
    QTextEdit* text;

    QHBoxLayout* but_l;
    QPushButton* btn_new;
    QPushButton* btn_save;
    QPushButton* btn_del;

    ~Evidence();

private:
   void fillTable(QTableView* table);
   void createMenu();
};

#endif // EVIDENCE_H
